﻿// -----------------------------------------------------------------------
//  <last-editor>黄深</last-editor>
//  <last-date>2022-10-18 9:49</last-date>
// -----------------------------------------------------------------------

namespace Microsoft.Extensions.DependencyInjection;

/// <summary>
///     服务扩展
/// </summary>
public static class ServiceCollectionExtensions
{
    /// <summary>
    ///     添加 HttpClient 服务
    /// </summary>
    /// <param name="services">      </param>
    /// <param name="configuration"> </param>
    /// <returns> </returns>
    public static IServiceCollection AddHttpClientServices(this IServiceCollection services,
        IConfiguration configuration)
    {
        services.AddHttpClient();
        //TODO: add custom http client services
        //var options = configuration.GetSection(nameof(HuangsOptions)).Get<HuangsOptions>();
        //services.AddHttpClient<IRemoteService, RemoteService>(x =>
        //{
        //    x.BaseAddress = new Uri(options.InvokeApiOptions.BaseUrl);
        //})
        //.ConfigurePrimaryHttpMessageHandler(() => new HttpTracerHandler
        //{
        //    Verbosity = HttpMessageParts.All
        //});

        return services;
    }
}